﻿/* Animación al cargar */
@keyframes floatIn {
  0% {
    opacity: 0;
    transform: scale(0);
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}

.floating-btn {
  position: fixed;
  bottom: 8rem;
  right: 0.6rem;
  z-index: 99;
  display: inline-block;
  width: auto;
  height: auto;
}

/* Estilos aplicados directamente a la imagen */
.floating-btn__img {
  width: 54px;
  height: 54px;
  border-radius: 50%;
  object-fit: contain;
  background: #257432;
  box-shadow: 4px 4px 6px #00000029;
  border: 2px solid #1f9b8e;
  cursor: pointer;
  transition: transform 300ms ease, box-shadow 300ms ease;
  animation: floatIn 0.6s ease forwards;
}

/* Efecto al pasar el mouse */
.floating-btn__img:hover {
  transform: scale(1.1);
  box-shadow: 6px 6px 10px #00000040;
}

/* Efecto al enfocar con teclado */
.floating-btn__img:focus {
  outline: 2px solid #000;
}

/* Ajuste en pantallas más grandes */
@media (min-width: 768px) {
  .floating-btn {
    right: 1.5rem;
  }
}
@media (min-width: 768px) {
  .floating-btn__img {
    width: 60px;
  	height: 60px;

  }
}
